> For the complete documentation index, see [llms.txt](https://docs.appfarm.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appfarm.io/reference/operations.md).

# Operations

Within **Operations** you can manage and monitor your apps, Flows, and services across environments.

<table data-card-size="large" data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th><th data-hidden data-card-cover data-type="files"></th></tr></thead><tbody><tr><td><strong>Deploy</strong></td><td>Deploy your apps, Flows, and services to test, staging and production. View the deploy history, and manage solution snapshots.</td><td><a href="https://docs.appfarm.io/reference/operations/deploy.md">Deploy</a></td><td><a href="https://29237295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MiLU-xcHu0eLZiTxcmZ%2Fuploads%2FF8i4VYfxjABMpX1rUav8%2Fdeploy.png?alt=media&amp;token=fca6919a-5dca-4481-b721-54ad687169f7">deploy.png</a></td></tr><tr><td><strong>Service schedules</strong></td><td>Create and manage time-based triggers for services.</td><td><a href="https://docs.appfarm.io/reference/operations/schedules.md">Service Schedules</a></td><td><a href="https://29237295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MiLU-xcHu0eLZiTxcmZ%2Fuploads%2FVGiSehHIJjUleRlZZ3w3%2Fschedules.png?alt=media&amp;token=83dc9105-d105-498b-a1a8-0c8d3da7247a">schedules.png</a></td></tr><tr><td><strong>Calendar</strong></td><td>See Flow schedules, service schedules, deploys, and platform maintenance on one calendar.</td><td><a href="https://docs.appfarm.io/reference/operations/calendar.md">Calendar</a></td><td></td></tr><tr><td><strong>Logs</strong></td><td>Monitor action runs, Flow and service schedules, API requests, and client performance.</td><td><a href="https://docs.appfarm.io/reference/operations/logs.md">Logs</a></td><td><a href="https://29237295-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MiLU-xcHu0eLZiTxcmZ%2Fuploads%2FJEF9zC5LP7TMK9nhoz3p%2Flogs.png?alt=media&amp;token=db678ce4-e296-4991-ae95-2d96292c64b5">logs.png</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.appfarm.io/reference/operations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
